# n factor for thawing

NT <- function(Year, AirTempName, GroundTempName, data=QTP_ATM) {
  
  nt_a <- sapply(Year, function(Year) tryCatch({
    Thawing_index(Year=Year, TempName=GroundTempName, data=data)
  }, error = function ( e ) {nt_a <- NA}
  , warning = function ( e ) {nt_a <- NA}
  ), simplify=T)
  
  nt_b <- sapply(Year, function(Year) tryCatch({
    Thawing_index(Year=Year, TempName=AirTempName, data=data)
  }, error = function ( e ) {nt_b <- NA}
  , warning = function ( e ) {nt_b <- NA}
  ), simplify=T)
  
  nt <- nt_a/nt_b
  
  names(nt) <- Year
  return(nt)
}

# n factor for freezing

NF <- function(Year, AirTempName, GroundTempName, data=QTP_ATM) {
  
  nf_a <- sapply(Year, function(Year) tryCatch({
    Freezing_index(Year=Year, TempName=GroundTempName, data=data)
    }, error = function ( e ) {nf_a <- NA}
    , warning = function ( e ) {nf_a <- NA}
  ), simplify=T)
    
  nf_b <- sapply(Year, function(Year) tryCatch({  
    Freezing_index(Year=Year, TempName=AirTempName, data=data)
  }, error = function ( e ) {nf_b <- NA}
    , warning = function ( e ) {nf_b <- NA}
  ), simplify=T)
  
  nf <- nf_a/nf_b
  
  names(nf) <- Year
  return(nf)
}

# Computing mean annual ground surface temperature (MAGT)

MAGST <- function(Year, AirTempName="Temperature", GroundTempName="GT", data=QTP_ATM) {
  
  magst <- sapply(Year, function(Year) tryCatch({((NT(Year=Year, AirTempName=AirTempName, GroundTempName=AirTempName, data) * 
                                              Thawing_index(Year=Year, TempName=GroundTempName, data)) 
                                           - (NF(Year=Year, AirTempName=AirTempName, GroundTempName=AirTempName, data) * 
                                                Freezing_index(Year=Year, TempName=GroundTempName, data))) /365
  }, error = function ( e ) {magst <- NA}
  , warning = function ( e ) {magst <- NA}
  ), simplify=T)
  
  names(magst) <- Year
  return(magst)
}
