library(ggplot2)

xdt <- read.csv("PLOT/XDTMS2014-2018_PLOT.csv", header = TRUE)

tiff("XDT_2014_2018.tif", width=3*600, height=3*600, res=300)
xdt <- ggplot(xdt, aes(x=as.Date(Date), y=Val, group=Var)) + 
  geom_line(col="grey") +
  geom_smooth(method = 'loess', col="green", se=FALSE) +
  xlab("") +
  ylab("") +
  scale_x_date(date_breaks = "1 year", date_labels = "%Y") +
  facet_wrap( ~ Var, scales="free", ncol=1) +
  theme_bw()


print(xdt)
dev.off()

xdt_p <- read.csv("PLOT/XDTMS2014-2018_PLOT_PREC.csv", header = TRUE)

tiff("XDT_2014_2018_PREC.tif", width=3*600, height=3*150, res=300)
xdt_p <- ggplot(xdt_p, aes(x=as.Date(Date), y=Val, group=Var)) + 
  geom_bar(stat="identity", position=position_dodge(), col="grey") +
  geom_smooth(method = 'loess', col="green", se=FALSE) +
  xlab("") +
  ylab("") +
  scale_x_date(date_breaks = "1 year", date_labels = "%Y") +
  facet_wrap( ~ Var, scales="free", ncol=1) +
  theme_bw()


print(xdt_p)
dev.off()


#########################################################################
# MAAT
#########################################################################
go <- read.csv("Golmud1955-2018.csv", header = TRUE)
write.csv(MAAT(1956:2018, TempName="Temperature", data=go), "MAAT_Golmud1956-2018.csv")

wu <- read.csv("Wudaoliang1956-2018.csv", header = TRUE)
write.csv(MAAT(1956:2018, TempName="Temperature", data=wu), "MAAT_Wudaoliang1956-2018.csv")


xd <- read.csv("XDTMS2014-2018_ENGLISH.csv", header = TRUE)
write.csv(MAAT(2014:2018, TempName="Temperature", data=xd), "MAAT_Xidatan1956-2018.csv")

mgw <- read.csv("MAAT_MAGST_Golmud_Wudaoliang_1956-2018.csv", header = TRUE)

tiff("MAAT_MAGST_Golmud_Wudaoliang_1956-2018.tif", width=3*600, height=3*400, res=300)
mg <- ggplot(mgw, aes(x=Year, y=Value, group=Site, color=Site)) + 
  geom_line() +
  geom_smooth(method = 'loess') +
  scale_x_continuous(breaks=seq(1955,2020,10)) +
  xlab("Year") +
  ylab("") +
  facet_wrap( ~ Index, scales="free_y", ncol = 2) +
  theme_bw() +
  theme(legend.position=c(0.3,0.5),
        legend.title=element_blank(),legend.background = element_rect(fill=alpha('white', 0)))

print(mg)
dev.off()


#########################################################################
# MAGST
#########################################################################
write.csv(MAGST(1956:2018, AirTempName="Temperature", GroundTempName="GT", data=go), "MAGST_Golmud1956-2018.csv")

write.csv(MAGST(1956:2018, AirTempName="Temperature", GroundTempName="GT", data=wu), "MAGST_Wudaoliang1956-2018.csv")
